metaProbesets {xps} | R Documentation

## Create MetaProbeset File for APT

### Description

Create MetaProbeset File for APT function “apt-probeset-summarize”.

### Usage

    metaProbesets(xps.scheme, infile = character(0), outfile = character(0), exonlevel="metacore")

### Arguments

`xps.scheme` | exon `SchemeTreeSet`.
`infile` | Name of file containing exon transcript_cluster_ids.
`outfile` | Name of resulting file containing meta probeset definitions.
`exonlevel` | exon annotation level determining which probes should be used.

### Details

This function allows to create a metaprobeset file for APT function “apt-probeset-summarize” to be used with option “-m”. The `infile` must contain exon transcript_cluster_ids, one per line, e.g. one can export the `rownames(data.rma)`
The resulting file may be useful if you want to compare results created with `xps` to results created with APT function “apt-probeset-summarize”.

### Value

None.

### Author(s)

Christian Stratowa

### Examples

    ## Not run:
    ## first, load ROOT exon scheme file:
    scmdir <- "/Volumes/GigaDrive/CRAN/Workspaces/Schemes"
    scheme.exon <- root.scheme(paste(scmdir,"Scheme_HuEx10stv2r2_na25.root",sep="/"))

    metaProbesets(scheme.exon,"metacore.txt","metacoreList.mps","metacore")
    ## End(Not run)

[Package xps version 1.2.10 Index]